/******************************************************************************
 *                                                                            *
 * File:   taberr  .h         Version  1.13            Date: 1997-06-14       *
 *                                                                            *
 * Copyright (C) 1993-1997 by kostis@acm.org (Kosta Kostis)                   *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * History:                                                                   *
 *     1997-06-14: KK V1.13                                                   *
 *        - see transtab.c                                                    *
 *                                                                            *
 *****************************************************************************/

/******************************************************************************

	Program Return Codes

 *****************************************************************************/

#define ERR_NONE		0	/* everything seemed to work    */

#define ERR_BAD			1	/* unconv. characters in input  */
#define ERR_SYNTAX		2	/* syntax error                 */
#define	ERR_SRC			3	/* unable to open input file    */
#define	ERR_DST			4	/* unable to create output file */
#define	ERR_TAB			5	/* unable to load binary table  */
#define ERR_OPEN		11	/* unable to open file          */
#define ERR_READ		12	/* unable to read file          */
#define ERR_CODE		21	/* code file has bad syntax     */
#define ERR_REDEFINED           22	/* code redefined               */
#define ERR_MEMORY              42	/* out of memory                */

/******************************************************************************

	Program Error Messages

 *****************************************************************************/

#define ERR_MSG_SRC		"%s: unable to open input file %s!\n"
#define ERR_MSG_DST		"%s: unable to create output file %s\n"
#define ERR_MSG_TAB		"%s: unable to load table file %s\n"
#define ERR_MSG_OPEN		"%s: unable to open file %s\n"
#define ERR_MSG_CODE		"%s: code file %s has bad syntax in line %u\n"
#define ERR_MSG_REDEFINED	"%s: code file %s: code %u redefined line %u\n"
#define ERR_MSG_MEMORY		"%s: out of memory reading code file %s, line %u\n"
