/******************************************************************************
 *                                                                            *
 * File:   transce8.h         Version  1.13            Date: 1997-05-05       *
 *                                                                            *
 * Copyright (C) 1993-1997 by kostis@acm.org (Kosta Kostis)                   *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * History:                                                                   *
 *     1997-05-05: KK V1.13                                                   *
 *        - see transce8.c                                                    *
 *                                                                            *
 *****************************************************************************/

/******************************************************************************

	Program Name and Version

 *****************************************************************************/

char	*PRGNAM			= "transce8" ;
char	*VERSION		= "V1.13 (1997-05-05)" ;

/******************************************************************************

	Program Messages

 *****************************************************************************/

#define MSG_COPYRIGHT           \
"Copyright (C) 1993-1997 by kostis@acm.org (Kosta Kostis)\n"
#define MSG_VERSION             "%s %s\n"
#define MSG_FROM_TO             "\
\nSource Character Encoding: %s\n\n\
\nTarget Character Encoding: %s\n\n"

/******************************************************************************

	Program Error Messages

 *****************************************************************************/

#define ERR_MSG_SYNTAX          "Syntax: %s -s[source] -t[target] {-b*} {src} {dst}\n"

/******************************************************************************

	Program Constants/Macros/Switches

 *****************************************************************************/

#define	BAD_CHAR	0xFF

/******************************************************************************

	The function utime () is used to preserve the file date stamp
	when calling the program with only one filename, eg.

		trans -scp850.net -tiso8859.1 myfile

	This will convert "myfile" from IBM Codepage 850 to ISO 8859-1.
	It is achieved by writing a temporary file and then renaming it
	to the original file. This alters the file dates. If one wants
	to preserve them, one has to stat () the file before it is
	altered and utime () the file afterwards. On the other hand
	it's not ANSI-C and it is not supported by all compilers.

 *****************************************************************************/

/*
	if you want to use non-ANSI utime (), uncomment the following line
*/
/* #define	USE_UTIMBUF */

/*
	if your compiler doesn't define utimbuf, ...
*/
/* #define	NO_UTIMBUF */

/******************************************************************************

	Sample combinations depending on your OS:

	MS-DOS BCC	-DUSE_UTIMBUF
	NeXTSTEP	-DUSE_UTIMBUF -DNO_UTIMBUF

 *****************************************************************************/
